Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/watching/getwatchingrecent

# Recent watches

GET `https://api.rewind.rest/v1/watching/recent`

Returns most recently watched movies. Supports date filtering via date, from, and to params.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### limit (query, integer)

#### page (query, integer)

#### date (query, string)

Single day (YYYY-MM-DD). Overrides from/to.

#### from (query, string)

Range start, inclusive (ISO 8601)

#### to (query, string)

Range end, inclusive (ISO 8601)

## Response

#### 200

Recent watches

#### data (array of object, required)

#### properties

#### movie (object, required)

#### watched\_at (string, required)

#### source (string, required)

#### user\_rating (number, required)

#### percent\_complete (number, required)

#### rewatch (boolean, required)

#### review (string, required)

#### review\_url (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/watching/recent' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/watching/recent', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/watching/recent',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "movie": {
        "id": "\u2026",
        "title": "\u2026",
        "year": "\u2026",
        "director": "\u2026",
        "directors": "\u2026",
        "genres": "\u2026",
        "duration_min": "\u2026",
        "rating": "\u2026",
        "image": "\u2026",
        "imdb_id": "\u2026",
        "tmdb_id": "\u2026",
        "tmdb_rating": "\u2026",
        "tagline": "\u2026",
        "summary": "\u2026"
      },
      "watched_at": "string",
      "source": "string",
      "user_rating": 0,
      "percent_complete": 0,
      "rewatch": true,
      "review": "string",
      "review_url": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
